#!/usr/bin/env perl

use Mojolicious::Lite;

get '/' => sub {
    my ($c)        = @_;
    my $hostHeader = $c->req->headers->host;
    my $scheme     = $c->req->url->base->scheme;

    if ($hostHeader =~ /www.wethepeople.win(|:[0-9]{1,5})/) {
        $c->render()
    }
    else {
        $c->redirect_to("$scheme://www.wethepeople.win")
    }
} => 'index';

app->start();
